Module | Prawn

In:

lib/prawn/text.rb
lib/prawn/measurements.rb
lib/prawn/errors.rb
lib/prawn/document.rb
lib/prawn/reference.rb
lib/prawn/font.rb
lib/prawn/text/box.rb
lib/prawn/font/afm.rb
lib/prawn/font/dfont.rb
lib/prawn/font/ttf.rb
lib/prawn/core/text.rb
lib/prawn/core/page.rb
lib/prawn/core/object_store.rb
lib/prawn/images/jpg.rb
lib/prawn/images/png.rb
lib/prawn/encoding.rb
lib/prawn/core.rb
lib/prawn/pdf_object.rb
lib/prawn/byte_string.rb
lib/prawn/stamp.rb
lib/prawn/graphics.rb
lib/prawn/images.rb
lib/prawn/outline.rb
lib/prawn/literal_string.rb
lib/prawn/document/annotations.rb
lib/prawn/document/span.rb
lib/prawn/document/graphics_state.rb
lib/prawn/document/page_geometry.rb
lib/prawn/document/snapshot.rb
lib/prawn/document/internals.rb
lib/prawn/document/destinations.rb
lib/prawn/document/column_box.rb
lib/prawn/document/bounding_box.rb
lib/prawn/repeater.rb
lib/prawn/name_tree.rb
lib/prawn/graphics/color.rb
lib/prawn/graphics/join_style.rb
lib/prawn/graphics/dash.rb
lib/prawn/graphics/cap_style.rb
lib/prawn/graphics/transparency.rb
lib/prawn/graphics/transformation.rb

encoding: utf-8

transformation.rb: Implements rotate, translate, skew, scale and a generic

                        transformation_matrix

Copyright January 2010, Michael Witrant. All Rights Reserved.

This is free software. Please see the LICENSE and COPYING files for details.

### Methods

PdfObject

### Classes and Modules

Module Prawn::Core
Module Prawn::Encoding
Module Prawn::Errors
Module Prawn::Graphics
Module Prawn::Images
Module Prawn::Measurements
Module Prawn::Stamp
Module Prawn::Text
Class Prawn::Document
Class Prawn::Font
Class Prawn::Outline

### Constants

BASEDIR | = | File.expand_path(File.join(dir, '..', '..')) |  | The base source directory for Prawn as installed on the system
VERSION | = | "0.8.4"

### Attributes

debug

[RW]

Whe set to true, Prawn will verify hash options to ensure only valid keys are used. Off by default.

Example:

      >> Prawn::Document.new(:tomato => "Juicy")
      Prawn::Errors::UnknownOption:
      Detected unknown option(s): [:tomato]
      Accepted options are: [:page_size, :page_layout, :left_margin, ...]

### Public Instance methods

PdfObject(obj, in_content_stream = false)

Serializes Ruby objects to their PDF equivalents. Most primitive objects will work as expected, but please note that Name objects are represented by Ruby Symbol objects and Dictionary objects are represented by Ruby hashes (keyed by symbols)

     Examples:

        PdfObject(true)      #=> "true"
        PdfObject(false)     #=> "false"
        PdfObject(1.2124)    #=> "1.2124"
        PdfObject("foo bar") #=> "(foo bar)"
        PdfObject(:Symbol)   #=> "/Symbol"
        PdfObject(["foo",:bar, [1,2]]) #=> "[foo /bar [1 2]]"

[Validate]